#include <string>
#include <vector>

#include <curl/curl.h>

#include <unistd.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <net/if.h>
#include <bits/ioctl.h>

#include <android/multinetwork.h>

#ifndef __HTTP_CLIENT__
#define __HTTP_CLIENT__


bool setIPAddress(const char *if_name, const char *ip_addr, const char *net_mask, const char *gateway_addr);
int DoGetRequest(const char* url, const char* userName, const char* password, net_handle_t netHandle, std::vector<uint8_t>& data);
int DoPutRequest(const char* url, const char* userName, const char* password, net_handle_t netHandle, const char* contents, std::vector<uint8_t>& data);

#endif // __HTTP_CLIENT__